petsc-3.4.2 2013-07-02

# DMSNESSetJacobianLocal

set a local Jacobian evaluation function

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetJacobianLocal(DM dm,PetscErrorCode (*func)(DM,Vec,Mat,Mat,MatStructure*,void*),void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local Jacobian evaluation
| ctx | - optional context for local Jacobian evaluation

### See Also

DMSNESSetJacobian(), DMDASNESSetJacobian(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

Level:beginner
Location:src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html